This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 895066 - vlock doesn't accept root password
vlock doesn't accept root password
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vlock (Show other bugs)
6.3
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Karel Zak
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 08:06 EST by Petr Bokoc
Modified: 2017-09-14 07:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
When a user password is used to lock a console with vlock, the console can only be unlocked with the user password, not the root password. That is, even if the first inserted password is incorrect, and the user is prompted to provide the root password, entering the root password fails with an error message.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Bokoc 2013-01-14 08:06:42 EST
Description of problem:
vlock doesn't unlock the console with root password, only user password

Version-Release number of selected component (if applicable):
vlock-1.3-31.el6

How reproducible:


Steps to Reproduce:
1. lock a console using vlock as an user
2. when prompted, enter wrong or blank user's password
3. vlock then asks for root password, enter the correct one
  
Actual results:
console stays locked, vlock outputs a "wrong password" message

Expected results:
console should be unlocked

Additional info:
- if you use vlock when logged in as root, it asks for the root password twice. In this case it works, vlock accepts the second password even if the first one was incorrect.

- the same problem exists on fedora 17: vlock-1.3-31.fc17
Comment 2 Davi 2013-04-09 21:19:54 EDT
The same problem exists in Fedora 18 (vlock-1.3-33.fc18)
Comment 3 RHEL Product and Program Management 2013-10-13 20:05:20 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.